> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List a webhook's delivery attempts

> Retrieve delivery attempt history for a specific webhook, newest first — whether an
    event was delivered, the HTTP response received, and how many retries occurred.



## OpenAPI

````yaml /api-reference/api-docs.yaml get /v0/webhooks/{webhookId}/attempts
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.7
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: tax
    description: Tax calculation related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
  - name: webhooks
    description: Webhooks related endpoints
paths:
  /v0/webhooks/{webhookId}/attempts:
    get:
      tags:
        - webhooks
      summary: List a webhook's delivery attempts
      description: >-
        Retrieve delivery attempt history for a specific webhook, newest first —
        whether an
            event was delivered, the HTTP response received, and how many retries occurred.
      operationId: GetV0WebhooksWebhookIdAttempts
      parameters:
        - name: webhookId
          in: path
          required: true
          description: Unique identifier (UUID) of the webhook.
          schema:
            $ref: >-
              #/components/schemas/GetV0WebhooksWebhookIdAttemptsParameterWebhookId
        - name: skip
          in: query
          required: false
          description: Number of attempts to skip, for pagination.
          schema:
            $ref: '#/components/schemas/GetV0WebhooksWebhookIdAttemptsParameterSkip'
        - name: take
          in: query
          required: false
          description: 'Number of attempts per page (default: 10, max: 100).'
          schema:
            $ref: '#/components/schemas/GetV0WebhooksWebhookIdAttemptsParameterTake'
        - name: orderDirection
          in: query
          required: false
          description: Sort direction by creation date.
          schema:
            $ref: >-
              #/components/schemas/GetV0WebhooksWebhookIdAttemptsParameterOrderDirection
      responses:
        '200':
          description: GET /v0/webhooks/:webhookId/attempts Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetV0WebhooksWebhookIdAttemptsPositiveResponse
        '400':
          description: GET /v0/webhooks/:webhookId/attempts Negative response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetV0WebhooksWebhookIdAttemptsNegativeResponse
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
components:
  schemas:
    GetV0WebhooksWebhookIdAttemptsParameterWebhookId:
      type: string
      format: uuid
      description: Unique identifier (UUID) of the webhook.
    GetV0WebhooksWebhookIdAttemptsParameterSkip:
      type:
        - integer
        - 'null'
      format: int64
      minimum: 0
      maximum: 9007199254740991
      description: Number of attempts to skip, for pagination.
    GetV0WebhooksWebhookIdAttemptsParameterTake:
      type: integer
      format: int64
      minimum: 1
      maximum: 100
      default: 10
      description: 'Number of attempts per page (default: 10, max: 100).'
    GetV0WebhooksWebhookIdAttemptsParameterOrderDirection:
      type: string
      enum:
        - ASC
        - DESC
      description: Sort direction by creation date.
    GetV0WebhooksWebhookIdAttemptsPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            attempts:
              type: array
              items:
                type: object
                properties:
                  object:
                    type: string
                    enum:
                      - webhook_attempt
                    default: webhook_attempt
                  id:
                    type: string
                    format: uuid
                  webhookId:
                    type: string
                    format: uuid
                  eventType:
                    type:
                      - string
                      - 'null'
                    enum:
                      - payment_success
                      - payment_refunded
                      - payment_failed
                      - subscription_created
                      - subscription_interval
                      - subscription_updated
                      - subscription_cancelled
                    default: null
                  sequence:
                    type: integer
                    format: int64
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  statusCode:
                    type:
                      - integer
                      - 'null'
                    format: int64
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    default: null
                  request:
                    type:
                      - object
                      - 'null'
                    additionalProperties:
                      format: any
                    default: null
                  response:
                    type:
                      - object
                      - 'null'
                    additionalProperties:
                      format: any
                    default: null
                  createdAt:
                    type:
                      - integer
                      - 'null'
                    format: int64
                    minimum: 0
                    maximum: 9007199254740991
                required:
                  - id
                  - webhookId
                  - sequence
                  - createdAt
            count:
              type: number
              format: double
              minimum: -1.7976931348623157e+308
              maximum: 1.7976931348623157e+308
          required:
            - attempts
            - count
      required:
        - status
        - data
    GetV0WebhooksWebhookIdAttemptsNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key

````